For the complete documentation index, see llms.txt. This page is also available as Markdown.

Jobs Resources

Post Jobs

post

accept a document for processing

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
uploadfilestring · binaryRequired
doctypestring · nullableOptionalDefault: ""
maxsizeinteger · nullableOptionalDefault: 5000
usetagsstring · nullableOptionalDefault: []
maxtagsinteger · nullableOptionalDefault: 1
callbackurlstring · nullableOptional
process_imagesboolean · nullableOptionalDefault: false
pdf_parsing_backendstring · nullableOptionalDefault: pymupdf
enable_ocrboolean · nullableOptionalDefault: false
ocr_backendstring · nullableOptional
force_full_page_ocrboolean · nullableOptionalDefault: false
Responses
200

Successful Response

application/json
successbooleanRequired
jobidstring · nullableRequired
documentidstring · nullableRequired
post/jobs
POST /jobs HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 222

{
  "uploadfile": "binary",
  "doctype": "",
  "maxsize": 5000,
  "usetags": "[]",
  "maxtags": 1,
  "callbackurl": "text",
  "process_images": false,
  "pdf_parsing_backend": "pymupdf",
  "enable_ocr": false,
  "ocr_backend": "text",
  "force_full_page_ocr": false
}
{
  "success": true,
  "jobid": "text",
  "documentid": "text"
}

Get Jobs

get

return a list of all jobs

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful Response

application/json
get/jobs/
GET /jobs/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "ip": "text",
      "documentid": "text",
      "status": "NEW",
      "created": "2026-01-01T00:00:00.000Z",
      "updated": "2026-01-01T00:00:00.000Z",
      "completed": "2026-01-01T00:00:00.000Z",
      "maxsize": 1,
      "timeit": 1,
      "callbackurl": "text",
      "progress": 1
    }
  ]
}

Get Job

get

return the details of one job

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobidstringRequired
Responses
200

Successful Response

application/json
idstringRequired
ipstringRequired
documentidstringRequired
statusstring · enumRequiredPossible values:
createdstring · date-timeRequired
updatedstring · date-timeRequired
completedstring · date-time · nullableRequired
maxsizeintegerRequired
timeitinteger · nullableRequired
callbackurlstring · nullableRequired
progressintegerRequired
get/jobs/{jobid}
GET /jobs/{jobid} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "ip": "text",
  "documentid": "text",
  "status": "NEW",
  "created": "2026-01-01T00:00:00.000Z",
  "updated": "2026-01-01T00:00:00.000Z",
  "completed": "2026-01-01T00:00:00.000Z",
  "maxsize": 1,
  "timeit": 1,
  "callbackurl": "text",
  "progress": 1
}

Delete Job

delete

delete a job and all related documents

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobidstringRequired
Responses
204

Successful Response

No content

delete/jobs/{jobid}
DELETE /jobs/{jobid} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Cancel Job

patch

cancel a job

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobidstringRequired
Body
statusstring · enumRequiredPossible values:
Responses
200

Successful Response

application/json
idstringRequired
ipstringRequired
documentidstringRequired
statusstring · enumRequiredPossible values:
createdstring · date-timeRequired
updatedstring · date-timeRequired
completedstring · date-time · nullableRequired
maxsizeintegerRequired
timeitinteger · nullableRequired
callbackurlstring · nullableRequired
progressintegerRequired
patch/jobs/{jobid}
PATCH /jobs/{jobid} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "status": "NEW"
}
{
  "id": "text",
  "ip": "text",
  "documentid": "text",
  "status": "NEW",
  "created": "2026-01-01T00:00:00.000Z",
  "updated": "2026-01-01T00:00:00.000Z",
  "completed": "2026-01-01T00:00:00.000Z",
  "maxsize": 1,
  "timeit": 1,
  "callbackurl": "text",
  "progress": 1
}

Last updated